import { defineStore } from 'pinia'

interface CreateFormObject {
  rule: any
  options: any
}

export const useFormCreateStore = defineStore('app-fc', {
  state: (): CreateFormObject => ({
    rule: [],
    options: {},
  }),
  getters: {
    getInfo(state) {
      return state
    },
  },
  actions: {
    setInfo(object: CreateFormObject) {
      this.rule = object.rule
      this.options = object.options
    },
  },

})
